Subject: bug#36989: 26.2; Doc string of `y-or-n-p': say it returns nil if answer is not `y' or `DEL'

From: Noam Postavsky <[email-masked]>
Date: Fri, 09 Aug 2019 13:26:20 -0400

notfound 36989 26.2
found 36989 24.5
tags 36989 fixed
close 36989 25.1
quit

Drew Adams <[email-masked]> writes:

>> Did you miss where it says:
>>     Return t if answer is "y" and nil if it is "n".
>>                                   ^^^^^^^^^^^^^^^^
>
> No, I didn't miss it, because it's not in the Emacs release
> I reported on (the latest release, AFAIK): Emacs 26.2.

I don't think you are looking at the docstring from Emacs 26.2.

https://git.savannah.gnu.org/cgit/emacs.git/tree/lisp/subr.el?h=emacs-26.2#n2507

> Ask user a "y or n" question.  Return t if answer is "y".

That seems to be the docstring from 24.5.

https://git.savannah.gnu.org/cgit/emacs.git/tree/lisp/subr.el?h=emacs-24.5#n2212